Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model
Interface OlapModel

All Superinterfaces:
  com.tonbeller.wcf.bookmarks.Bookmarkable, Model

All Known Implementing Classes:
  CachingOlapModel, Empty.EmptyModel, MondrianModel, OlapModelDecorator, OlapModelProxy, ProtozoanOlapModel, ScalarOlapModel, TestOlapModel, XMLA_Model

    public interface OlapModel

extends Model

Provides access to extensions, result and metadata. It does not specify what data are displayed (the query). Supports navigations thru Extensions.

See Also:
  `Extension`, `Result`

Nested Class Summary
`static class` | `OlapModel.EmptyCubeException` thrown if the result can not be computed because the cube is empty.
`static class` | `OlapModel.ResultTooLargeException` thrown if too many result positions would be returned

Field Summary

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Method Summary
`void` | `destroy()` called once when the not used any longer.
`Dimension[]` | `getDimensions()`
`java.lang.String` | `getID()`
`Member[]` | `getMeasures()`
`Result` | `getResult()` runs the query and returns the result
`void` | `initialize()` called once after creation.
`void` | `setID(java.lang.String ID)` sets an ID string for this model
`void` | `setServletContext(javax.servlet.ServletContext servletContext)` store a servlet context to the model

Methods inherited from interface com.tonbeller.jpivot.core.Model
`addExtension, addModelChangeListener, getExtension, getExtensions, getRootModel, getTopDecorator, removeModelChangeListener, setLocale`

Methods inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`getBookmarkState, setBookmarkState`

Method Detail

### getResult

    Result getResult()
                     throws OlapException

  runs the query and returns the result

  Throws:
    `OlapException`

### getDimensions

    Dimension[] getDimensions()

  Returns:
    all dimensions of the cube for navigation

### getMeasures

    Member[] getMeasures()

  Returns:
    all measures of the cube for navigation

### initialize

    void initialize()
                    throws OlapException

  called once after creation. E.g. open DB connection

  Throws:
    `OlapException`

### destroy

    void destroy()

  called once when the not used any longer. E.g. close DB connection

### getID

    java.lang.String getID()

  Returns:
    an ID string for this model

### setID

    void setID(java.lang.String ID)

  sets an ID string for this model

### setServletContext

    void setServletContext(javax.servlet.ServletContext servletContext)

  store a servlet context to the model

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD